# This file created by conda-build 24.7.1
# meta.yaml template originally from:
# /opt/recipe, last modified Fri Apr  4 14:16:03 2025
# ------------------------------------------------

package:
  name: gw
  version: 1.2.0
source:
  sha256: efc18736bb79491fff60b56b8a4198095d15c6c53bede5b370130d890a3f3074
  url: https://github.com/kcleal/gw/archive/refs/tags/v1.2.0.tar.gz
build:
  ignore_run_exports:
    - libdeflate
    - libegl
    - libgles
    - libglx
    - libuuid
    - libxcb
    - xorg-libice
    - xorg-libsm
    - xorg-libx11
    - xorg-libxau
    - xorg-libxext
  number: '0'
  run_exports:
    - gw >=1.2.0,<2.0a0
  string: hff18be8_0
requirements:
  build:
    - _libgcc_mutex 0.1 conda_forge
    - _openmp_mutex 4.5 2_gnu
    - binutils_impl_linux-64 2.43 h4bf12b8_4
    - binutils_linux-64 2.43 h4852527_4
    - gcc_impl_linux-64 13.3.0 h1e990d8_2
    - gcc_linux-64 13.3.0 hc28eda2_8
    - gxx_impl_linux-64 13.3.0 hae580e1_2
    - gxx_linux-64 13.3.0 h6834431_8
    - kernel-headers_linux-64 3.10.0 he073ed8_18
    - ld_impl_linux-64 2.43 h712a8e2_4
    - libgcc 14.2.0 h767d61c_2
    - libgcc-devel_linux-64 13.3.0 hc03c837_102
    - libgomp 14.2.0 h767d61c_2
    - libsanitizer 13.3.0 he8ea267_2
    - libstdcxx 14.2.0 h8f9b012_2
    - libstdcxx-devel_linux-64 13.3.0 hc03c837_102
    - make 4.4.1 hb9d3cd8_2
    - sysroot_linux-64 2.17 h0157908_18
    - tzdata 2025b h78e105d_0
  host:
    - _libgcc_mutex 0.1 conda_forge
    - _openmp_mutex 4.5 2_gnu
    - bzip2 1.0.8 h4bc722e_7
    - c-ares 1.34.4 hb9d3cd8_0
    - ca-certificates 2025.1.31 hbcca054_0
    - fontconfig 2.15.0 h7e30c49_1
    - freetype 2.13.3 h48d6fc4_0
    - glfw 3.4 hd590300_0
    - htslib 1.21 h566b1c6_1
    - icu 75.1 he02047a_0
    - keyutils 1.6.1 h166bdaf_0
    - krb5 1.21.3 h659f571_0
    - libcurl 8.13.0 h332b0f4_0
    - libdeflate 1.23 h4ddbbb0_0
    - libedit 3.1.20250104 pl5321h7949ede_0
    - libegl 1.7.0 ha4b6fd6_2
    - libegl-devel 1.7.0 ha4b6fd6_2
    - libev 4.33 hd590300_2
    - libexpat 2.7.0 h5888daf_0
    - libffi 3.4.6 h2dba641_1
    - libgcc 14.2.0 h767d61c_2
    - libgcc-ng 14.2.0 h69a702a_2
    - libgl 1.7.0 ha4b6fd6_2
    - libgl-devel 1.7.0 ha4b6fd6_2
    - libgles 1.7.0 ha4b6fd6_2
    - libgles-devel 1.7.0 ha4b6fd6_2
    - libglvnd 1.7.0 ha4b6fd6_2
    - libglx 1.7.0 ha4b6fd6_2
    - libglx-devel 1.7.0 ha4b6fd6_2
    - libgomp 14.2.0 h767d61c_2
    - libiconv 1.18 h4ce23a2_1
    - liblzma 5.8.1 hb9d3cd8_0
    - libnghttp2 1.64.0 h161d5f1_0
    - libpng 1.6.47 h943b412_0
    - libssh2 1.11.1 hf672d98_0
    - libstdcxx 14.2.0 h8f9b012_2
    - libstdcxx-ng 14.2.0 h4852527_2
    - libuuid 2.38.1 h0b41bf4_0
    - libxcb 1.17.0 h8a09558_0
    - libxkbcommon 1.8.1 hc4a0caf_0
    - libxml2 2.14.0 h8d12d68_0
    - libzlib 1.3.1 hb9d3cd8_2
    - ncurses 6.5 h2d0b736_3
    - openssl 3.4.1 h7b32b05_0
    - pthread-stubs 0.4 hb9d3cd8_1002
    - unzip 6.0 h7f98852_3
    - wayland 1.23.1 h3e06ad9_0
    - xkeyboard-config 2.43 hb9d3cd8_0
    - xorg-libice 1.1.2 hb9d3cd8_0
    - xorg-libsm 1.2.6 he73a12e_0
    - xorg-libx11 1.8.12 h4f16b4b_0
    - xorg-libxau 1.0.12 hb9d3cd8_0
    - xorg-libxdmcp 1.1.5 hb9d3cd8_0
    - xorg-libxext 1.3.6 hb9d3cd8_0
    - xorg-libxinerama 1.1.5 h5888daf_1
    - xorg-xorgproto 2024.1 hb9d3cd8_1
    - zlib 1.3.1 hb9d3cd8_2
    - zstd 1.5.7 hb8e6e7a_2
  run:
    - fontconfig >=2.15.0,<3.0a0
    - fonts-conda-ecosystem
    - freetype >=2.13.3,<3.0a0
    - glfw >=3.3
    - glfw >=3.4,<4.0a0
    - htslib >=1.12
    - htslib >=1.21,<1.22.0a0
    - libcurl >=8.13.0,<9.0a0
    - libgcc >=13
    - libgl >=1.7.0,<2.0a0
    - libstdcxx >=13
    - libzlib >=1.3.1,<2.0a0
    - mesalib
    - wayland >=1.23.1,<2.0a0
    - xorg-libxau
    - xorg-libxdamage
    - xorg-libxfixes
    - xorg-libxt
    - xorg-libxxf86vm
test:
  commands:
    - which gw && ls -lh $(which gw)
    - uname -a
    - if [[ "$(uname)" == "Darwin" ]]; then file $(which gw); otool -L $(which gw);
      nm $(which gw); fi
    - gw --version
about:
  home: https://github.com/kcleal/gw
  license: MIT
  license_file: LICENSE.md
  summary: View genomic sequencing data and vcf files
extra:
  additional-platforms:
    - osx-arm64
  container:
    extended-base: true
  copy_test_source_files: true
  final: true
  recipe-maintainers:
    - kcleal
